# norootforbuild

Name:           sidplay-libs
BuildRequires:  gcc-c++
Url:            http://sidplay2.sourceforge.net/
License:        GPL-2.0+
Group:          Development/Libraries/C and C++
Version:        2.1.1
Release:        6.1
Summary:        A Player for C64 Music Files
Source0:        %name-2.1.1.tar.bz2
Patch0:         %name-2.1.1.diff
Patch1:			lib_name_so.diff
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package allows you to play music from C64 games and demos on your
PC.

You can find a comprehensive archive on the WWW at:
http://www.hvsc.c64.org/



Authors:
--------
    Michael Schwendt <sidplay@geocities.com>


%package -n libresid0
Summary:        Resid Library
Group:          Development/Libraries/C and C++

%description -n libresid0
This package allows you to play music from C64 games and demos on your
PC.

You can find a comprehensive archive on the WWW at:
http://www.hvsc.c64.org/



Authors:
--------
    Michael Schwendt <sidplay@geocities.com>


%package -n libsidplay2-1
Summary:        Sidplay2 Library
Group:          Development/Libraries/C and C++

%description -n libsidplay2-1
This package allows you to play music from C64 games and demos on your
PC.

You can find a comprehensive archive on the WWW at:
http://www.hvsc.c64.org/



Authors:
--------
    Michael Schwendt <sidplay@geocities.com>


%package -n libsidutils0
Summary:        Sidutils Library
Group:          Development/Libraries/C and C++

%description -n libsidutils0
This package allows you to play music from C64 games and demos on your
PC.

You can find a comprehensive archive on the WWW at:
http://www.hvsc.c64.org/



Authors:
--------
    Michael Schwendt <sidplay@geocities.com>


%package -n libhardsid-builder0
Summary:        Sidplay2 Library
Group:          Development/Libraries/C and C++

%description -n libhardsid-builder0
This package allows you to play music from C64 games and demos on your
PC.

You can find a comprehensive archive on the WWW at:
http://www.hvsc.c64.org/



Authors:
--------
    Michael Schwendt <sidplay@geocities.com>


%package -n libresid-builder0
Summary:        Sidplay2 Library
Group:          Development/Libraries/C and C++

%description -n libresid-builder0
This package allows you to play music from C64 games and demos on your
PC.

You can find a comprehensive archive on the WWW at:
http://www.hvsc.c64.org/



Authors:
--------
    Michael Schwendt <sidplay@geocities.com>


%package devel
Summary:        A Player for C64 Music Files
Group:          Development/Libraries/C and C++
Provides:       libsidplay:/usr/include/sidplay/sidplay2.h
Requires:	libresid0
Requires:	libsidplay2-1
Requires:	libsidutils0
Requires:	libhardsid-builder0
Requires:	libresid-builder0

%description devel
This package allows you to play music from C64 games and demos on your
PC.

You can find a comprehensive archive on the WWW at:
http://www.hvsc.c64.org/



Authors:
--------
    Michael Schwendt <sidplay@geocities.com>

%prep
%setup -q
%patch0
%patch1

%build
export CXXFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
export CFLAGS="$RPM_OPT_FLAGS"
autoreconf --force --install
for i in libsidplay libsidutils resid builders/resid-builder ; do
    pushd $i
    autoreconf --force --install
    popd
done
%configure --enable-shared
%__make %{?jobs:-j%{jobs}}      

%install
%makeinstall
DOCDIR=$RPM_BUILD_ROOT/%{_docdir}/libsidplay
rm -fr $DOCDIR
install -d -m 755 $DOCDIR
install -d -m 755 $DOCDIR/libsidplay
install -d -m 755 $DOCDIR/libsidutils
install -d -m 755 $DOCDIR/resid
cd libsidplay
install -m 644 AUTHORS COPYING ChangeLog README TODO $DOCDIR/libsidplay
cd ../libsidutils
install -m 644 AUTHORS COPYING ChangeLog README TODO $DOCDIR/libsidutils
cd ../resid
install -m 644 AUTHORS COPYING ChangeLog NEWS README THANKS TODO $DOCDIR/resid
find $RPM_BUILD_ROOT -name "*.la" | xargs rm

%post -n libresid0 -p /sbin/ldconfig

%postun -n libresid0 -p /sbin/ldconfig

%post -n libsidplay2-1 -p /sbin/ldconfig

%postun -n libsidplay2-1 -p /sbin/ldconfig

%post -n libsidutils0 -p /sbin/ldconfig

%postun -n libsidutils0 -p /sbin/ldconfig

%post -n libhardsid-builder0 -p /sbin/ldconfig

%postun -n libhardsid-builder0 -p /sbin/ldconfig

%post -n libresid-builder0 -p /sbin/ldconfig

%postun -n libresid-builder0 -p /sbin/ldconfig

%files -n libresid0
%defattr(-,root,root)
%_libdir/libresid.so.*

%files -n libsidplay2-1
%defattr(-,root,root)
%_libdir/libsidplay2.so.*

%files -n libsidutils0
%defattr(-,root,root)
%_libdir/libsidutils.so.*

%files -n libhardsid-builder0
%defattr(-,root,root)
%dir %_libdir/sidplay
%dir %_libdir/sidplay/builders
%_libdir/sidplay/builders/libhardsid-builder.so.*

%files -n libresid-builder0
%defattr(-,root,root)
%dir %_libdir/sidplay
%dir %_libdir/sidplay/builders
%_libdir/sidplay/builders/libresid-builder.so.*

%files devel
%defattr(-,root,root)
%_docdir/libsidplay
%_libdir/pkgconfig/*.pc
%_includedir/resid
%_includedir/sidplay
%_libdir/libresid.a
%_libdir/libsidplay2.a
%_libdir/libsidutils.a
%_libdir/libresid.so
%_libdir/libsidplay2.so
%_libdir/libsidutils.so
%_libdir/sidplay/builders/lib*builder.a
%_libdir/sidplay/builders/lib*builder.so

%changelog
